from medspacy.section_detection import SectionRule

section_rules = [
    SectionRule(category="labs", literal="Lab results:"),
    SectionRule(category="addendum", literal="ADDENDUM:"),
    SectionRule(category="addendum", literal="Addendum:"),
    SectionRule(category="allergies", literal="ALLERGIC REACTIONS:"),
    SectionRule(category="allergies", literal="ALLERGIES:"),
    SectionRule(category="chief_complaint", literal="CC:"),
    SectionRule(category="chief_complaint", literal="CHIEF COMPLAINT:"),
    SectionRule(category="chief_complaint", literal="Chief Complaint:"),
    SectionRule(category="comments", literal="COMMENTS:"),
    SectionRule(category="diagnoses", literal="ADMISSION DIAGNOSES:"),
    SectionRule(category="diagnoses", literal="DIAGNOSES:"),
    SectionRule(category="diagnoses", literal="Diagnosis:"),
    SectionRule(category="diagnoses", literal="Primary Diagnosis:"),
    SectionRule(category="diagnoses", literal="Primary:"),
    SectionRule(category="diagnoses", literal="SECONDARY DIAGNOSES:"),
    SectionRule(category="diagnoses", literal="Secondary Diagnoses:"),
    SectionRule(category="diagnoses", literal="Secondary Diagnosis:"),
    SectionRule(category="diagnoses", literal="Secondary:"),
    SectionRule(category="family_history", literal="Family History:"),
    SectionRule(category="hospital_course", literal="Brief Hospital Course:"),
    SectionRule(category="hospital_course", literal="CONCISE SUMMARY OF HOSPITAL COURSE BY ISSUE/SYSTEM:"),
    SectionRule(category="hospital_course", literal="HOSPITAL COURSE:"),
    SectionRule(category="hospital_course", literal="SUMMARY OF HOSPITAL COURSE:"),
    SectionRule(category="imaging", literal="IMAGING:"),
    SectionRule(category="imaging", literal="INTERPRETATION:"),
    SectionRule(category="imaging", literal="Imaging:"),
    SectionRule(category="imaging", literal="MRI:"),
    SectionRule(category="imaging", literal="Radiology:"),
    SectionRule(category="labs_and_studies", literal="ADMISSION LABS:"),
    SectionRule(category="labs_and_studies", literal="Admission Labs:"),
    SectionRule(category="labs_and_studies", literal="Discharge Labs:"),
    SectionRule(category="labs_and_studies", literal="ECHO:"),
    SectionRule(category="labs_and_studies", literal="FINDINGS:"),
    SectionRule(category="labs_and_studies", literal="Findings:"),
    SectionRule(category="labs_and_studies", literal="INDICATION:"),
    SectionRule(category="labs_and_studies", literal="LABS:"),
    SectionRule(category="labs_and_studies", literal="Labs:"),
    SectionRule(category="labs_and_studies", literal="MICRO:"),
    SectionRule(category="labs_and_studies", literal="Micro:"),
    SectionRule(category="labs_and_studies", literal="Microbiology:"),
    SectionRule(category="labs_and_studies", literal="Pertinent Results:"),
    SectionRule(category="labs_and_studies", literal="STUDIES:"),
    SectionRule(category="labs_and_studies", literal="Studies:"),
    SectionRule(category="medications", literal="ACTIVE MEDICATIONS LIST:"),
    SectionRule(category="medications", literal="ACTIVE MEDICATIONS:"),
    SectionRule(category="medications", literal="ADMISSION MEDICATIONS:"),
    SectionRule(category="medications", literal="CURRENT MEDICATIONS:"),
    SectionRule(category="medications", literal="DISCHARGE MEDICATIONS:"),
    SectionRule(category="medications", literal="Discharge Medications:"),
    SectionRule(category="medications", literal="HOME MEDICATIONS:"),
    SectionRule(category="medications", literal="MEDICATIONS AT HOME:"),
    SectionRule(category="medications", literal="MEDICATIONS LIST:"),
    SectionRule(category="medications", literal="MEDICATIONS ON ADMISSION:"),
    SectionRule(category="medications", literal="MEDICATIONS ON DISCHARGE:"),
    SectionRule(category="medications", literal="MEDICATIONS ON TRANSFER:"),
    SectionRule(category="medications", literal="MEDICATIONS PRIOR TO ADMISSION:"),
    SectionRule(category="medications", literal="MEDICATIONS:"),
    SectionRule(category="medications", literal="MEDICATIONS:"),
    SectionRule(category="neurological", literal="Neuro:"),
    SectionRule(category="observation_and_plan", literal="A/P:"),
    SectionRule(category="observation_and_plan", literal="ASSESSMENT/PLAN:"),
    SectionRule(category="observation_and_plan", literal="ASSESSMENT:"),
    SectionRule(category="observation_and_plan", literal="Assessment/Plan:"),
    SectionRule(category="observation_and_plan", literal="Clinical Impression:"),
    SectionRule(category="observation_and_plan", literal="DISCHARGE DIAGNOSES:"),
    SectionRule(category="observation_and_plan", literal="DISCHARGE DIAGNOSIS:"),
    SectionRule(category="observation_and_plan", literal="Discharge Condition:"),
    SectionRule(category="observation_and_plan", literal="Discharge Diagnoses:"),
    SectionRule(category="observation_and_plan", literal="Discharge Diagnosis:"),
    SectionRule(category="observation_and_plan", literal="Discharge Disposition:"),
    SectionRule(category="observation_and_plan", literal="FINAL DIAGNOSES:"),
    SectionRule(category="observation_and_plan", literal="FINAL DIAGNOSIS:"),
    SectionRule(category="observation_and_plan", literal="IMPRESSION:"),
    SectionRule(category="observation_and_plan", literal="Impression and Plan:"),
    SectionRule(category="observation_and_plan", literal="Impression and Recommendation:"),
    SectionRule(category="other", literal="Facility:"),
    SectionRule(category="other", literal="Service:"),
    SectionRule(category="past_medical_history", literal="Current Medical Problems:"),
    SectionRule(category="past_medical_history", literal="History of Chronic Illness:"),
    SectionRule(category="past_medical_history", literal="MHx:"),
    SectionRule(category="past_medical_history", literal="PAST HISTORY:"),
    SectionRule(category="past_medical_history", literal="PAST MEDICAL HISTORY:"),
    SectionRule(category="past_medical_history", literal="PAST MEDICAL Hx:"),
    SectionRule(category="past_medical_history", literal="PAST SURGICAL HISTORY:"),
    SectionRule(category="past_medical_history", literal="PMH:"),
    SectionRule(category="past_medical_history", literal="PMHx:"),
    SectionRule(category="past_medical_history", literal="Past Medical History:"),
    SectionRule(category="past_medical_history", literal="UNDERLYING MEDICAL CONDITION:"),
    SectionRule(category="patient_education", literal="Education:"),
    SectionRule(category="patient_education", literal="Patient Education:"),
    SectionRule(category="patient_instructions", literal="DISCHARGE INSTRUCTIONS/FOLLOWUP:"),
    SectionRule(category="patient_instructions", literal="DISCHARGE INSTRUCTIONS:"),
    SectionRule(category="patient_instructions", literal="Discharge Instructions:"),
    SectionRule(category="patient_instructions", literal="Followup Instructions:"),
    SectionRule(category="physical_exam", literal="PE:"),
    SectionRule(category="physical_exam", literal="PHYSICAL EXAM:"),
    SectionRule(category="physical_exam", literal="PHYSICAL EXAMINATION:"),
    SectionRule(category="physical_exam", literal="Physical Exam:"),
    SectionRule(category="problem_list", literal="Active Problem List:"),
    SectionRule(category="problem_list", literal="Current Problems:"),
    SectionRule(category="problem_list", literal="Medical Problems:"),
    SectionRule(category="problem_list", literal="PROBLEM LIST:"),
    SectionRule(category="problem_list", literal="Problem List:"),
    SectionRule(category="reason_for_examination", literal="REASON FOR THIS EXAMINATION:"),
    SectionRule(category="signature", literal="Electronic Signature:"),
    SectionRule(category="signature", literal="Signed electronically by:"),
    SectionRule(category="social_history", literal="PMHSx:"),
    SectionRule(category="social_history", literal="PSH:"),
    SectionRule(category="social_history", literal="SH:"),
    SectionRule(category="social_history", literal="Sexual History:"),
    SectionRule(category="social_history", literal="Social History:"),
]
